package Camera;

public enum CameraControlPropertyWin32 {
    // values range from -180 to 180 degree
    CameraControl_Pan(0),
    // values range from -180 to 180 degrees
    CameraControl_Tilt(1),
    // values range from -180 to 180 degrees
    CameraControl_Roll(2),
    // values range from 10 to 600 mm
    CameraControl_Zoom(3),
    // if negative value, exposure is 1/2^n seconds, if positive value, exposure is 2^n seconds
    // example -3 is 1/8 seconds, 2 is 4 seconds
    CameraControl_Exposure(4),
    // value fstop * 10
    CameraControl_Iris(5),
    // in milimeters
    CameraControl_Focus(6);
    public final int value;
    CameraControlPropertyWin32(int value) {
        this.value = value;
    }

}
